Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	system and process monitor.
Name:      	atop
Version:   	1.23
Release:   	1
License: 	GNU/GPL
URL:		http://www.atconsultancy.nl/atop
Group:     	System/Utilities
Source0: 	%{name}-%{version}.tar.gz
Patch0:		%{name}-nochmod.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
PreReq:		chkconfig
BuildRequires:	glibc-devel ncurses-devel zlib-devel

%description
ATOP is an advanced interactive monitor for Linux-systems to view the load on system-level and process-level. atop has some major advantages compared to other performance-monitors:

    * Resource comsumption by all processes
      It shows the resource-consumption by all processes that were active during the interval, so also the resource-consumption by those processes that have finished during the interval

    * Utilization of all relevant resources
      Obviously it shows system-level counters concerning cpu-, memory- and swap-utilization, however it also shows disk I/O and network utilization counters on system-level

    * Permanent logging of resource utilization
      It is able to store raw counter-data in a file (compressed) for long-term analysis on system- and process-level. By default the logfiles are preserved for 28 days

    * Highlight critical resources
      It is able to highlight resources that have (almost) reached a critical load by using colors for system statistics

    * Watch activity only
      By default, it only shows system-resources and processes that were really active during the last interval (output related to resources or processes that were completely passive during the interval is by default suppressed) 

    * Watch deviations only
      For the active system resources and processes, only the load during the last interval is shown (not the accumulated utilization since boot or process startup)

    * Accumulated process activity per user
      For each interval it is able to accumulate the resource consumption for all processes per user.

    * Accumulated process activity per program
      For each interval it is able to accumulate the resource consumption for all processes with the same name.

    * Disk and network activity per process
      In combination with optional kernel patches it shows process-level counters concerning disk I/O and network activity


%post
/sbin/chkconfig --add atop
/sbin/chkconfig atop on

# Restart ntpd if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/atop stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/atop start 1>/dev/null 2>&1
fi

%preun
if test $1 = 0; then
        /etc/rc.d/init.d/atop stop 1>/dev/null 2>&1
        /sbin/chkconfig --del atop
fi



%prep
%setup -n %{name}-%{version} -q
%patch0 -p1 

%build
make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir/atop
%_mandir/man1/atop.1.gz
%_bindir/atopsar
%_mandir/man1/atopsar.1.gz
/var/log/atop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.23-1
- Version update
* Sun Sep 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.21-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20-1
- Initial Release
